package es.kauron.jstudy.model;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

public class AppConfig {
    private static final String FILE = "./config.ini";
    public static boolean repeatWrong;

    public static void save() {
        try {
            PrintWriter pw = new PrintWriter(new File(FILE));
            pw.print("repeatWrong=" + repeatWrong);
            pw.flush();
            pw.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    public static void load() {
        try {
            Scanner in = new Scanner(new File(FILE));
            while (in.hasNextLine()) {
                String line = in.nextLine();
                if (line.matches("repeatWrong=.*")) {
                    repeatWrong = Boolean.parseBoolean(line.substring(line.indexOf('=') + 1));
                }
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    public static String printValues() {
        return "repeatWrong=" + repeatWrong;
    }
}
